Summary:        A library for weather information
Name:           libgweather
Version:        40.0
Release:        5%{?dist}
License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/LibGWeather
Source0:        https://download.gnome.org/sources/libgweather/40/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gettext vala pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(geocode-glib-1.0) pkgconfig(gladeui-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0) python3-gobject-base
BuildRequires:  pkgconfig(gtk+-3.0) pkgconfig(libsoup-2.4)

%description
This package provides a library to access weather information from online services for numerous 
locations.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.

%prep
%autosetup -p1 -n libgweather-%{version}

%build
%meson -Dgtk_doc=false
%meson_build

%install
%meson_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%license COPYING
%doc HACKING.md NEWS README.md
%dir %{_libdir}/libgweather
%dir %{_datadir}/libgweather
%{_libdir}/libgweather-3.so.16*
%{_libdir}/girepository-1.0/GWeather-3.0.typelib
%{_libdir}/libgweather/Locations.bin
%{_datadir}/libgweather/Locations.xml
%{_datadir}/libgweather/locations.dtd
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather.gschema.xml

%files devel
%{_includedir}/libgweather-3.0
%{_libdir}/libgweather-3.so
%{_libdir}/pkgconfig/gweather-3.0.pc
%dir %{_datadir}/glade/
%dir %{_datadir}/glade/catalogs/
%dir %{_datadir}/vala/
%dir %{_datadir}/vala/vapi/
%{_datadir}/gir-1.0/GWeather-3.0.gir
%{_datadir}/glade/catalogs/libgweather.xml
%{_datadir}/vala/vapi/gweather-3.0.deps
%{_datadir}/vala/vapi/gweather-3.0.vapi

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 40.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 40.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 40.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 40.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 23 2022 Wang Guodong <gordonwwang@tencent.com> - 40.0-1
- package init.
